Query membership bundles
Identical to GET /membership_bundles but accepts the filter set as a JSON
request body instead of query-string parameters. Returns the same paginated
index shape.
Authorization
bearerAuth In: header
Query Parameters
Comma-separated list of relationships to include. Allowed values are resource-specific; consult the operation for the allowlist.
Comma-separated list of attributes to sort by. Prefix with - for
descending order (-created_at,family_name).
Offset pagination parameters.
TypeScript Definitions
Use the request body type in TypeScript.
Filter predicates on membership-bundle attributes, keyed the same
way as the filter query parameter on GET /membership_bundles
(e.g. { "filter": { "ends_at_gteq": "2026-01-01" } }).
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/membership_bundles/query" \ -H "Content-Type: application/json" \ -d '{}'{ "data": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "type": "membership_bundles", "attributes": { "name_en": "string", "name_fr": "string", "starts_at": "2019-08-24T14:15:22Z", "ends_at": "2019-08-24T14:15:22Z", "expires_at": "2019-08-24T14:15:22Z", "grace_period_days": 0, "in_grace": true, "status": "string", "external_id": "string", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "deleted_at": "2019-08-24T14:15:22Z" }, "relationships": { "organization": { "data": { "type": "organizations", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "links": { "self": "/membership_bundles/7247ad7d-9275-454b-9e3a-0570e403739e/relationships/organization", "related": "/membership_bundles/7247ad7d-9275-454b-9e3a-0570e403739e/organization" } }, "owner": { "data": { "type": "people", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "links": { "self": "/membership_bundles/7247ad7d-9275-454b-9e3a-0570e403739e/relationships/owner", "related": "/membership_bundles/7247ad7d-9275-454b-9e3a-0570e403739e/owner" } }, "previous_membership_bundle": { "data": { "type": "membership_bundles", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "links": { "self": "/membership_bundles/7247ad7d-9275-454b-9e3a-0570e403739e/relationships/previous_membership_bundle", "related": "/membership_bundles/7247ad7d-9275-454b-9e3a-0570e403739e/previous_membership_bundle" } }, "next_membership_bundle": { "data": { "type": "membership_bundles", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "links": { "self": "/membership_bundles/7247ad7d-9275-454b-9e3a-0570e403739e/relationships/next_membership_bundle", "related": "/membership_bundles/7247ad7d-9275-454b-9e3a-0570e403739e/next_membership_bundle" } } }, "links": { "self": "/membership_bundles/7247ad7d-9275-454b-9e3a-0570e403739e" } } ], "meta": { "page": { "total_items": 0, "total_pages": 0, "number": 0, "size": 0 } }}{ "errors": [ { "status": 0, "title": "string", "source": { "pointer": "string", "parameter": "string" }, "meta": { "error": "string", "field": "string" } } ]}{ "errors": [ { "status": 0, "title": "string", "source": { "pointer": "string", "parameter": "string" }, "meta": { "error": "string", "field": "string" } } ]}